Bug 868671 - F18b TC6 anaconda does not count certain disks as having free space and trying to create partitions on those results in "KeyError: '/dev/sda'"
F18b TC6 anaconda does not count certain disks as having free space and tryin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-21 11:18 EDT by Reartes Guillermo
Modified: 2014-02-05 07:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:39:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
manual partitioning showing the abnormal condition of some disks (90.97 KB, image/png)
2012-10-21 11:19 EDT, Reartes Guillermo
no flags Details
manual partitioning showing the abnormal condition of some disks #2 (86.46 KB, image/png)
2012-10-21 11:22 EDT, Reartes Guillermo
no flags Details
manual partitioning showing the abnormal condition of some disks #3 (84.15 KB, image/png)
2012-10-21 11:22 EDT, Reartes Guillermo
no flags Details
manual partitioning showing the abnormal condition of some disks #3 (60.67 KB, image/png)
2012-10-21 11:24 EDT, Reartes Guillermo
no flags Details
screenshot showing the issue on smoke12 (89.77 KB, image/png)
2013-01-02 11:56 EST, Reartes Guillermo
no flags Details
smoke12 storage.log (120.16 KB, text/plain)
2013-01-02 11:58 EST, Reartes Guillermo
no flags Details
smoke12 anaconda.log (10.15 KB, text/plain)
2013-01-02 11:58 EST, Reartes Guillermo
no flags Details
smoke12 program.log (40.67 KB, text/plain)
2013-01-02 12:00 EST, Reartes Guillermo
no flags Details
screenshot showing btrfs volumes being detected on unpartitioned devices (126.47 KB, image/png)
2013-01-02 12:11 EST, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-21 11:18:44 EDT
Description of problem:

For some reason, anaconda does not recognize some disks as being usable. They are displayed as having 0 usable space. See screens-shots, previous to the error.

Whe there is another bug-report (RHBZ: 860495), this specific bug-report steps performed differs substantially to the other ones reported (including also my previous one). Maybe the error is a catch-all error. 

Version-Release number of selected component (if applicable):
F18b TC6

How reproducible:
always

Steps to Reproduce:

0. boot with 6 disks unpartitioned
1. select these 6 disks in STORAGE: INSTALLATION DESTINATION
2. only the first disks will be reporting as having free space, the
other 5 will be shown as 0 free space.
3. selecting one of those 0 free space disks and trying to create a
partition produces an unknown error. (RHBZ: 860495)
  
Actual results:
some disks are unusable, and trying to use them results in an error.

Expected results:
no error and being able to use such disks.

Additional info:
Anaconda will start with the disks unpartitioned, as shown in each gdisk output.

GPT fdisk (gdisk) version 0.8.4

Partition table scan:
  MBR: not present
  BSD: not present
  APM: not present
  GPT: not present

Creating new GPT entries.
Disk /dev/vda: 16384000 sectors, 7.8 GiB
Logical sector size: 512 bytes
Disk identifier (GUID): 9079EDAA-FF13-4097-B0F7-C421FB7A62B2
Partition table holds up to 128 entries
First usable sector is 34, last usable sector is 16383966
Partitions will be aligned on 2048-sector boundaries
Total free space is 16383933 sectors (7.8 GiB)

Number  Start (sector)    End (sector)  Size       Code  N

GPT fdisk (gdisk) version 0.8.4

Partition table scan:
  MBR: not present
  BSD: not present
  APM: not present
  GPT: not present

Creating new GPT entries.
Disk /dev/vdb: 16384000 sectors, 7.8 GiB
Logical sector size: 512 bytes
Disk identifier (GUID): 14EF68E0-0F35-40EB-9D00-240F4363B150
Partition table holds up to 128 entries
First usable sector is 34, last usable sector is 16383966
Partitions will be aligned on 2048-sector boundaries
Total free space is 16383933 sectors (7.8 GiB)

Number  Start (sector)    End (sector)  Size       Code  Name

GPT fdisk (gdisk) version 0.8.4

Partition table scan:
  MBR: not present
  BSD: not present
  APM: not present
  GPT: not present

Creating new GPT entries.
Disk /dev/vdc: 16384000 sectors, 7.8 GiB
Logical sector size: 512 bytes
Disk identifier (GUID): 627633CA-92A2-4D77-9F86-85506ADE65BB
Partition table holds up to 128 entries
First usable sector is 34, last usable sector is 16383966
Partitions will be aligned on 2048-sector boundaries
Total free space is 16383933 sectors (7.8 GiB)

Number  Start (sector)    End (sector)  Size       Code  Name

GPT fdisk (gdisk) version 0.8.4

Partition table scan:
  MBR: not present
  BSD: not present
  APM: not present
  GPT: not present

Creating new GPT entries.
Disk /dev/vdd: 16384000 sectors, 7.8 GiB
Logical sector size: 512 bytes
Disk identifier (GUID): 80BF28DB-221A-4582-8470-E61AEE737B34
Partition table holds up to 128 entries
First usable sector is 34, last usable sector is 16383966
Partitions will be aligned on 2048-sector boundaries
Total free space is 16383933 sectors (7.8 GiB)

Number  Start (sector)    End (sector)  Size       Code  Name

GPT fdisk (gdisk) version 0.8.4

Partition table scan:
  MBR: not present
  BSD: not present
  APM: not present
  GPT: not present

Creating new GPT entries.
Disk /dev/vde: 16384000 sectors, 7.8 GiB
Logical sector size: 512 bytes
Disk identifier (GUID): 59A4CF0B-D234-4BC9-B093-624FFB9FDF38
Partition table holds up to 128 entries
First usable sector is 34, last usable sector is 16383966
Partitions will be aligned on 2048-sector boundaries
Total free space is 16383933 sectors (7.8 GiB)

Number  Start (sector)    End (sector)  Size       Code  Name
Comment 1 Reartes Guillermo 2012-10-21 11:19:31 EDT
Created attachment 630913 [details]
manual partitioning showing the abnormal condition of some disks
Comment 2 Reartes Guillermo 2012-10-21 11:22:14 EDT
Created attachment 630914 [details]
manual partitioning showing the abnormal condition of some disks #2
Comment 3 Reartes Guillermo 2012-10-21 11:22:39 EDT
Created attachment 630916 [details]
manual partitioning showing the abnormal condition of some disks #3
Comment 4 Reartes Guillermo 2012-10-21 11:24:27 EDT
Created attachment 630917 [details]
manual partitioning showing the abnormal condition of some disks #3

Anaconda, for some reason thinks that i can reclaim space on an unpartitioned disk. :-)
Comment 5 Reartes Guillermo 2012-10-21 11:44:07 EDT
There was an additional disks (the first one) and was IDE (sda) and was partitioned, i switched it to virtio and became the last. Sadly, it does not fix the issue.

This is the previous SDA (now VDA) disk partition table:

GPT fdisk (gdisk) version 0.8.4

Partition table scan:
  MBR: MBR only
  BSD: not present
  APM: not present
  GPT: not present


***************************************************************
Found invalid GPT and valid MBR; converting MBR to GPT format.
***************************************************************


Warning! Secondary partition table overlaps the last partition by
33 blocks!
You will need to delete this partition or resize it in another utility.
Disk /dev/vdg: 22528000 sectors, 10.7 GiB
Logical sector size: 512 bytes
Disk identifier (GUID): C47AD18A-EE9E-42A1-86AE-3EF063961A2E
Partition table holds up to 128 entries
First usable sector is 34, last usable sector is 22527966
Partitions will be aligned on 2048-sector boundaries
Total free space is 2014 sectors (1007.0 KiB)

Number  Start (sector)    End (sector)  Size       Code  Name
   1            2048         1026047   500.0 MiB   8300  Linux filesystem
   2         1026048         2598911   768.0 MiB   8200  Linux swap
   3         2598912        22527999   9.5 GiB     8300  Linux filesystem
Comment 6 Chris Lumens 2013-01-02 11:19:14 EST
Are you still seeing this problem with one of the F18 final test trees?
Comment 7 Reartes Guillermo 2013-01-02 11:56:50 EST
Created attachment 671555 [details]
screenshot showing the issue on smoke12

Yes, it does still happen with smoke12.

I zapped all disks and then booted smoke12, and anaconda showed the same issue when selecting these disks.
Comment 8 Reartes Guillermo 2013-01-02 11:58:17 EST
Created attachment 671556 [details]
smoke12 storage.log
Comment 9 Reartes Guillermo 2013-01-02 11:58:43 EST
Created attachment 671558 [details]
smoke12 anaconda.log
Comment 10 Reartes Guillermo 2013-01-02 12:00:10 EST
Created attachment 671561 [details]
smoke12 program.log
Comment 11 Reartes Guillermo 2013-01-02 12:11:53 EST
Created attachment 671566 [details]
screenshot showing btrfs volumes being detected on unpartitioned devices

As the screen-shot shows, btrfs volumes are being detected even with an un-partitioned disk. (blkid also detect something on the disks, so they are not empty).

While i did zap the disks, i did not perform a 'dd' to the first megabyte of the disks just to be sure.

It appears that, while unintended, these disks were left as a whole-device by accident and anaconda cannot perform any actions to these disks.
Comment 12 Fedora End Of Life 2013-12-21 04:09:49 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 07:39:36 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.